{
  "accUserMode" : 2,
  "caption" : "应用视图",
  "codeName" : "IBIZAPPVIEWGridView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZAPPVIEWGridView.json",
  "funcViewMode" : "MDATAVIEW",
  "gridRowActiveMode" : 2,
  "name" : "IBIZAPPVIEWGridView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZAPPVIEW.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "GridView",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "appViewLogicName" : "opendata",
      "name" : "OPENDATA",
      "paramType" : "LOGIC"
    }, {
      "appViewLogicName" : "newdata",
      "name" : "NEWDATA",
      "paramType" : "LOGIC"
    }, {
      "ctrlName" : "grid",
      "name" : "GRID",
      "paramType" : "CTRL"
    }, {
      "ctrlName" : "searchform",
      "name" : "SEARCHFORM",
      "paramType" : "CTRL"
    } ]
  } ],
  "getPSAppViewLogics" : [ {
    "eventArg" : "tbitem3",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem3_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem3"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "tbitem4",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem4_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem4"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "deuiaction1",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_deuiaction1_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_deuiaction1"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "tbitem6",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem6_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem6"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "tbitem24",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem24_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem24"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "tbitem25",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem25_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem25"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "tbitem8",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem8_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem8"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "tbitem13",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem13_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem13"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "tbitem11",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem11_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem11"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "tbitem21",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem21_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem21"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "tbitem23",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem23_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem23"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "getNewDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZAPPVIEWEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZAPPVIEWEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "getOpenDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZAPPVIEWEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZAPPVIEWEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewRefs" : [ {
    "name" : "EDITDATA",
    "realTitle" : "应用视图编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZAPPVIEWEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "NEWDATA",
    "realTitle" : "应用视图编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZAPPVIEWEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "getPSAppViewUIActions" : [ {
    "name" : "toolbar_tbitem3",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "New"
    },
    "xDataControlName" : "grid"
  }, {
    "name" : "toolbar_tbitem4",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Edit"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "grid"
  }, {
    "name" : "toolbar_deuiaction1",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Refresh"
    },
    "xDataControlName" : "grid"
  }, {
    "name" : "toolbar_tbitem6",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Copy"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "grid"
  }, {
    "name" : "toolbar_tbitem24",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "ToggleRowEdit"
    },
    "xDataControlName" : "grid"
  }, {
    "name" : "toolbar_tbitem25",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "NewRow"
    },
    "xDataControlName" : "grid"
  }, {
    "name" : "toolbar_tbitem8",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "uIActionTarget" : "MULTIKEY",
    "xDataControlName" : "grid"
  }, {
    "name" : "toolbar_tbitem13",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "ExportExcel"
    },
    "xDataControlName" : "grid"
  }, {
    "name" : "toolbar_tbitem11",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Print"
    },
    "uIActionTarget" : "MULTIKEY",
    "xDataControlName" : "grid"
  }, {
    "name" : "toolbar_tbitem21",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "ExportModel"
    },
    "xDataControlName" : "grid"
  }, {
    "name" : "toolbar_tbitem23",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Import"
    },
    "xDataControlName" : "grid"
  } ],
  "getPSControls" : [ {
    "aggMode" : "NONE",
    "codeName" : "Main",
    "columnEnableLink" : 2,
    "controlType" : "GRID",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZAPPVIEW/PSGRIDS/Main.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch"
    },
    "groupMode" : "NONE",
    "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
    "logicName" : "主表格",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZAPPVIEW.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZAPPVIEW.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZAPPVIEW.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZAPPVIEW.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZAPPVIEW.json"
        }
      }, {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZAPPVIEW.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZAPPVIEW.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "数据表格处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
      "logicTag" : "grid",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_grid",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "GRID"
    },
    "getPSDEGridColumns" : [ {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.IBIZAPPVIEW.IBIZAPPVIEWNAME"
      },
      "caption" : "应用视图名称",
      "codeName" : "ibizappviewname",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "ibizappviewname",
      "excelCaption" : "应用视图名称",
      "name" : "ibizappviewname",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "IBIZAPPVIEWNAME",
        "codeName" : "IBIZAPPVIEWName"
      },
      "width" : 350,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "caption" : "应用视图类型",
      "codeName" : "ibizappviewtype",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "ibizappviewtype",
      "excelCaption" : "应用视图类型",
      "name" : "ibizappviewtype",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/AppViewType.json"
      },
      "getPSAppDEField" : {
        "name" : "IBIZAPPVIEWTYPE",
        "codeName" : "Ibizappviewtype"
      },
      "width" : 350,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "文档地址",
      "codeName" : "documentaddress",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "documentaddress",
      "excelCaption" : "文档地址",
      "name" : "documentaddress",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "DOCUMENTADDRESS",
        "codeName" : "Documentaddress"
      },
      "width" : 350,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "示例地址",
      "codeName" : "instanceaddress",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "instanceaddress",
      "excelCaption" : "示例地址",
      "name" : "instanceaddress",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "INSTANCEADDRESS",
        "codeName" : "Instanceaddress"
      },
      "width" : 350,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "视图描述",
      "codeName" : "viewdescription",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "viewdescription",
      "excelCaption" : "视图描述",
      "name" : "viewdescription",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "VIEWDESCRIPTION",
        "codeName" : "Viewdescription"
      },
      "width" : 100,
      "widthUnit" : "STAR",
      "enableSort" : true
    } ],
    "getPSDEGridDataItems" : [ {
      "dataType" : 25,
      "name" : "ibizappviewname",
      "getPSAppDEField" : {
        "name" : "IBIZAPPVIEWNAME",
        "codeName" : "IBIZAPPVIEWName"
      }
    }, {
      "dataType" : 25,
      "name" : "ibizappviewtype",
      "getPSAppDEField" : {
        "name" : "IBIZAPPVIEWTYPE",
        "codeName" : "Ibizappviewtype"
      }
    }, {
      "dataType" : 25,
      "name" : "documentaddress",
      "getPSAppDEField" : {
        "name" : "DOCUMENTADDRESS",
        "codeName" : "Documentaddress"
      }
    }, {
      "dataType" : 25,
      "name" : "instanceaddress",
      "getPSAppDEField" : {
        "name" : "INSTANCEADDRESS",
        "codeName" : "Instanceaddress"
      }
    }, {
      "dataType" : 25,
      "name" : "viewdescription",
      "getPSAppDEField" : {
        "name" : "VIEWDESCRIPTION",
        "codeName" : "Viewdescription"
      }
    }, {
      "dataType" : 9,
      "name" : "amount",
      "getPSAppDEField" : {
        "name" : "AMOUNT",
        "codeName" : "Amount"
      }
    }, {
      "dataType" : 25,
      "name" : "ibizappviewid",
      "getPSAppDEField" : {
        "name" : "IBIZAPPVIEWID",
        "codeName" : "IBIZAPPVIEWId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "IBIZAPPVIEWID",
        "codeName" : "IBIZAPPVIEWId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfdataaccaction",
      "getPSAppDEField" : {
        "name" : "IBIZAPPVIEWID",
        "codeName" : "IBIZAPPVIEWId"
      },
      "dataAccessAction" : true
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "IBIZAPPVIEWNAME",
        "codeName" : "IBIZAPPVIEWName"
      }
    } ],
    "getPSDEGridEditItems" : [ {
      "caption" : "应用视图标识",
      "codeName" : "srfkey",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "IBIZAPPVIEWID",
        "codeName" : "IBIZAPPVIEWId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "srfkey"
      },
      "allowEmpty" : true
    } ],
    "pagingSize" : 20,
    "getRemovePSControlAction" : {
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZAPPVIEW.json"
      }
    },
    "sortMode" : "REMOTE",
    "hasWFDataItems" : false,
    "enableColFilter" : false,
    "enableCustomized" : true,
    "enableGroup" : false,
    "enablePagingBar" : true,
    "enableRowEdit" : false,
    "enableRowEditOrder" : false,
    "enableRowNew" : false,
    "forceFit" : false,
    "hideHeader" : false,
    "noSort" : false,
    "singleSelect" : false,
    "name" : "grid",
    "modelid" : "2987f5f5f738c05799c0c82468f7890d",
    "modeltype" : "PSDEGRID"
  }, {
    "codeName" : "Default",
    "controlType" : "SEARCHFORM",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZAPPVIEW/PSSEARCHFORMS/Default.json",
    "hookEventNames" : [ "SEARCH", "LOAD", "SAVE" ],
    "logicName" : "默认搜索表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZAPPVIEW.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZAPPVIEW.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZAPPVIEW.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZAPPVIEW.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "SEARCH;LOAD;SAVE",
      "logicTag" : "searchform",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_searchform",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormPages" : [ {
      "caption" : "常规条件",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSLayout" : {
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "09690088cf2115c95df00f3c3ca36b9b",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "codeName" : "GridViewtoolbar",
    "controlType" : "TOOLBAR",
    "hookEventNames" : [ "CLICK" ],
    "logicName" : "工具栏模板（默认表格界面加刷新）",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZAPPVIEW.json"
    },
    "getPSControlLogics" : [ {
      "eventArg" : "tbitem3",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem3_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem3_click"
      }
    }, {
      "eventArg" : "tbitem4",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem4_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem4_click"
      }
    }, {
      "eventArg" : "deuiaction1",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_deuiaction1_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1_click"
      }
    }, {
      "eventArg" : "tbitem6",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem6_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem6_click"
      }
    }, {
      "eventArg" : "tbitem24",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem24_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem24_click"
      }
    }, {
      "eventArg" : "tbitem25",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem25_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem25_click"
      }
    }, {
      "eventArg" : "tbitem8",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem8_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem8_click"
      }
    }, {
      "eventArg" : "tbitem13",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem13_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem13_click"
      }
    }, {
      "eventArg" : "tbitem11",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem11_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem11_click"
      }
    }, {
      "eventArg" : "tbitem21",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem21_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem21_click"
      }
    }, {
      "eventArg" : "tbitem23",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem23_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem23_click"
      }
    } ],
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.NEW"
      },
      "caption" : "新建",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem3",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem3"
      },
      "getPSSysCss" : {
        "cssName" : "deepskyblueToolBar"
      },
      "getPSSysImage" : {
        "glyph" : "xf0f6@FontAwesome",
        "cssClass" : "fa fa-file-text-o"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.NEW"
        },
        "caption" : "新建",
        "codeName" : "New",
        "fullCodeName" : "New",
        "name" : "表格界面_新建操作",
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "predefinedType" : "GRIDVIEW_NEWACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.NEW"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "New",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "新建",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.NEW"
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.EDIT"
      },
      "caption" : "编辑",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem4",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem4"
      },
      "getPSSysImage" : {
        "glyph" : "xf044@FontAwesome",
        "cssClass" : "fa fa-edit"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.EDIT"
        },
        "caption" : "编辑",
        "codeName" : "Edit",
        "fullCodeName" : "Edit",
        "name" : "表格界面_编辑操作",
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "predefinedType" : "GRIDVIEW_EDITACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.EDIT"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Edit",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "编辑",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.EDIT"
      },
      "showCaption" : true,
      "showIcon" : false
    }, {
      "caption" : "刷新",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf021@FontAwesome",
        "cssClass" : "fa fa-refresh"
      },
      "getPSUIAction" : {
        "caption" : "刷新",
        "codeName" : "Refresh",
        "fullCodeName" : "Refresh",
        "name" : "表格界面_刷新操作",
        "getPSSysImage" : {
          "glyph" : "xf021@FontAwesome",
          "cssClass" : "fa fa-refresh"
        },
        "predefinedType" : "GRIDVIEW_REFRESHACTION",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "Refresh",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "刷新",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.COPY"
      },
      "caption" : "拷贝",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem6",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem6"
      },
      "getPSSysImage" : {
        "glyph" : "xf0c5@FontAwesome",
        "cssClass" : "fa fa-copy"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.COPY"
        },
        "caption" : "拷贝",
        "codeName" : "Copy",
        "fullCodeName" : "Copy",
        "name" : "表格界面_拷贝操作",
        "getPSSysImage" : {
          "glyph" : "xf0c5@FontAwesome",
          "cssClass" : "fa fa-copy"
        },
        "predefinedType" : "GRIDVIEW_COPYACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.COPY"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Copy",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "拷贝",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.COPY"
      },
      "showCaption" : true,
      "showIcon" : false
    }, {
      "itemType" : "SEPERATOR",
      "name" : "tbitem7",
      "spanMode" : false
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.REMOVE"
      },
      "caption" : "删除",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem8",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem8"
      },
      "getPSSysImage" : {
        "glyph" : "xf00d@FontAwesome",
        "cssClass" : "fa fa-remove"
      },
      "getPSUIAction" : {
        "actionTarget" : "MULTIKEY",
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.REMOVE"
        },
        "caption" : "删除",
        "codeName" : "Remove",
        "fullCodeName" : "Remove",
        "name" : "表格界面_删除操作",
        "getPSSysImage" : {
          "glyph" : "xf00d@FontAwesome",
          "cssClass" : "fa fa-remove"
        },
        "predefinedType" : "GRIDVIEW_REMOVEACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Remove",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "删除",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
      },
      "showCaption" : true,
      "showIcon" : false
    }, {
      "itemType" : "SEPERATOR",
      "name" : "tbitem9",
      "spanMode" : false
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.EXPORT"
      },
      "caption" : "导出",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem13",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem13"
      },
      "getPSSysImage" : {
        "glyph" : "xf1c3@FontAwesome",
        "cssClass" : "fa fa-file-excel-o"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.EXPORT"
        },
        "caption" : "导出",
        "codeName" : "ExportExcel",
        "fullCodeName" : "ExportExcel",
        "name" : "表格界面_导出操作（Excel）",
        "getPSSysImage" : {
          "glyph" : "xf1c3@FontAwesome",
          "cssClass" : "fa fa-file-excel-o"
        },
        "predefinedType" : "GRIDVIEW_EXPORTACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.EXPORT"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "ExportExcel",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "导出",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.EXPORT"
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "itemType" : "SEPERATOR",
      "name" : "tbitem10",
      "spanMode" : false
    }, {
      "caption" : "其它",
      "itemType" : "ITEMS",
      "name" : "tbitem16",
      "getPSDEToolbarItems" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "MENUITEM.CAPTION.*.EXPORTSRF"
        },
        "caption" : "导出数据模型",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "tbitem21",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_tbitem21"
        },
        "getPSSysImage" : {
          "glyph" : "xf019@FontAwesome",
          "cssClass" : "fa fa-download"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "lanResTag" : "MENUITEM.CAPTION.*.EXPORTSRF"
          },
          "caption" : "导出数据模型",
          "codeName" : "ExportModel",
          "fullCodeName" : "ExportModel",
          "name" : "表格界面_导出数据模型",
          "getPSSysImage" : {
            "glyph" : "xf019@FontAwesome",
            "cssClass" : "fa fa-download"
          },
          "predefinedType" : "GRIDVIEW_EXPORTXMLACTION",
          "timeout" : 60000,
          "uIActionMode" : "SYS",
          "uIActionTag" : "ExportModel",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "导出数据模型",
        "showCaption" : true,
        "showIcon" : true
      }, {
        "caption" : "数据导入",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "tbitem23",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_tbitem23"
        },
        "getPSSysImage" : {
          "glyph" : "xf093@FontAwesome",
          "cssClass" : "fa fa-upload"
        },
        "getPSUIAction" : {
          "caption" : "数据导入",
          "codeName" : "Import",
          "fullCodeName" : "Import",
          "name" : "表格界面_数据导入栏",
          "getPSSysImage" : {
            "glyph" : "xf093@FontAwesome",
            "cssClass" : "fa fa-upload"
          },
          "predefinedType" : "GRIDVIEW_IMPORTBAR",
          "timeout" : 60000,
          "uIActionMode" : "SYS",
          "uIActionTag" : "Import",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "数据导入",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "tooltip" : "其它",
      "showCaption" : true,
      "showIcon" : true
    } ],
    "modelid" : "41ec2a0b8e2256c9eee112003a6acd60",
    "modeltype" : "PSDETOOLBAR"
  } ],
  "getPSDEViewCodeName" : "GridView",
  "getPSDEViewId" : "ee9eb2d2319ec40fd6a43329f5640ff3",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEGRIDVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZAPPVIEW.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "应用视图表格视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEGRIDVIEW",
  "xDataControlName" : "grid",
  "enableDP" : true,
  "enableExport" : true,
  "enableFilter" : true,
  "enableImport" : true,
  "enableQuickSearch" : true,
  "enableRowEdit" : false,
  "enableSearch" : true,
  "rowEditDefault" : false,
  "modelid" : "94f14d66f3261878157fb55b65df50c7",
  "modeltype" : "PSAPPDEVIEW"
}